diff -rupN squeezeplay_orig/src/Makefile.linux squeezeplay/src/Makefile.linux
--- squeezeplay_orig/src/Makefile.linux	2011-03-10 12:16:37.651024514 +0000
+++ squeezeplay/src/Makefile.linux	2011-03-10 15:36:48.098931313 +0000
@@ -7,7 +7,7 @@
 # Absolute path to top of SQUEEZEPLAY directories
 #
 
-SRC_DIR = $(realpath ${PWD})
+SRC_DIR = $(realpath $(shell pwd))
 BASE_DIR = $(dir ${SRC_DIR})
 
 export BUILD_TOP=$(BASE_DIR)/build/linux
@@ -143,7 +143,7 @@ luafilesystem:
 	cd luafilesystem-1.2 && make install PREFIX=${PREFIX} PLATFORM=linux
 
 luaprofiler:
-	cd luaprofiler-2.0 && make -f Makefile.linux install
+	cd luaprofiler-2.0 && LD="gcc -shared" make -f Makefile.linux install
 
 # just compile the library for to tolua++
 .PHONY: tolua++
diff -rupN squeezeplay_orig/src/squeezeplay/src/ui/jive_framework.c squeezeplay/src/squeezeplay/src/ui/jive_framework.c
--- squeezeplay_orig/src/squeezeplay/src/ui/jive_framework.c	2011-03-10 12:16:19.115598048 +0000
+++ squeezeplay/src/squeezeplay/src/ui/jive_framework.c	2011-03-10 15:37:21.211686147 +0000
@@ -1072,7 +1072,7 @@ static int process_event(lua_State *L, S
 
 		/* show mouse cursor */
 		if (pointer_timeout == 0) {
-			SDL_ShowCursor(SDL_ENABLE);
+			SDL_ShowCursor(SDL_DISABLE);
 		}
 		pointer_timeout = now + POINTER_TIMEOUT;
 
diff -rupN squeezeplay_orig/src/squeezeplay/src/ui/jive_surface.c squeezeplay/src/squeezeplay/src/ui/jive_surface.c
--- squeezeplay_orig/src/squeezeplay/src/ui/jive_surface.c	2011-03-10 12:16:19.119599721 +0000
+++ squeezeplay/src/squeezeplay/src/ui/jive_surface.c	2011-03-10 15:38:03.634723280 +0000
@@ -840,7 +840,7 @@ JiveSurface *jive_surface_set_video_mode
 	    flags = SDL_FULLSCREEN;
 	}
 	else {
-	    flags = SDL_HWSURFACE | SDL_DOUBLEBUF | SDL_RESIZABLE;
+	    flags = SDL_HWSURFACE | SDL_DOUBLEBUF | SDL_NOFRAME;
 	}
 
 	sdl = SDL_GetVideoSurface();
@@ -852,7 +852,7 @@ JiveSurface *jive_surface_set_video_mode
 		/* check if we can reuse the existing suface? */
 		video_info = SDL_GetVideoInfo();
 		if (video_info->wm_available) {
-			mask = (SDL_FULLSCREEN | SDL_HWSURFACE | SDL_DOUBLEBUF | SDL_RESIZABLE);
+			mask = (SDL_FULLSCREEN | SDL_HWSURFACE | SDL_DOUBLEBUF | SDL_NOFRAME);
 		}
 		else {
 			mask = (SDL_HWSURFACE | SDL_DOUBLEBUF);
